Clonable Class Reference

Interface for cloning objects. More...

`#include <cryptlib.h>`

Inheritance diagram for Clonable:

## Public Member Functions

virtual Clonable * | Clone () const
| Copies this object.

## Detailed Description

Interface for cloning objects.

Note
  this is not implemented by most classes

See also
  ClonableImpl, NotCopyable

Definition at line 589 of file cryptlib.h.

## Constructor & Destructor Documentation

## ~Clonable()

virtual Clonable::~Clonable | ( |  | ) |

inline virtual

Definition at line 592 of file cryptlib.h.

## Member Function Documentation

## Clone()

virtual Clonable * Clonable::Clone | ( |  | ) | const

inline virtual

Copies this object.

Returns
  a copy of this object

Exceptions

  NotImplemented |

Note
  this is not implemented by most classes

See also
  NotCopyable

Definition at line 599 of file cryptlib.h.

The documentation for this class was generated from the following file:

- cryptlib.h